openSUSE Security Update : libarchive (openSUSE-2016-770)

Medium Nessus Plugin ID 91866


The remote openSUSE host is missing a security update.


libarchive was updated to fix one security issue.

This security issue was fixed :

- CVE-2016-4809: Memory allocation error with gigantic symbolic links in cpio archives (bsc#984990).


Update the affected libarchive packages.

See Also

Plugin Details

Severity: Medium

ID: 91866

File Name: openSUSE-2016-770.nasl

Version: $Revision: 2.3 $

Type: local

Agent: unix

Published: 2016/06/28

Modified: 2016/10/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P


Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:bsdtar, p-cpe:/a:novell:opensuse:bsdtar-debuginfo, p-cpe:/a:novell:opensuse:libarchive-debugsource, p-cpe:/a:novell:opensuse:libarchive-devel, p-cpe:/a:novell:opensuse:libarchive13, p-cpe:/a:novell:opensuse:libarchive13-32bit, p-cpe:/a:novell:opensuse:libarchive13-debuginfo, p-cpe:/a:novell:opensuse:libarchive13-debuginfo-32bit, cpe:/o:novell:opensuse:13.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2016/06/24

Reference Information

CVE: CVE-2016-4809